Edge agent 1.6 OPC UA test

opc-ua
edge

#1

Testing your edge agent 1.6 now and I get the following message when trying to use the OPC UA browse node with a bosch ML controller. (Security is disabled on PLC)
NotFoundError
EACCES: permission denied, open ‘/opt/losant/node_modules/node-opcua-client/certificates/PKI/own/private/private_key.pem’


#2

Good catch Lars! Looks like a permission issue got introduced as part of our Docker bundling process. We’re investigating and will push out an update asap once it’s found. Stay tuned.


#3

Hey Lars,

We found the issue in the Edge Agent, and we fixed it. The Edge Agent 1.6.1 is now available. Here is a link to our change log. Thanks again for bringing this to our attention.

Best,
Erin


#4

After I updated, shouldn’t 1.6.1 show up in here?
image


#5

Hey Lars,

Actually no, there was no front end changes that needed to be made. You just need to update your losant-agent since the fix is inside of that. We will be updating that list to avoid this confusion and it will go out with another (unrelated) fix soon.

Best,
Erin


#6

Ok.
I can talk to the PLC now.